SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | List of all members
SLNet::RNS2EventHandler Class Referenceabstract

`#include <slikenet/socket2.h>`

Inheritance diagram for SLNet::RNS2EventHandler:

## Public Member Functions

| RNS2EventHandler ()
virtual | ~RNS2EventHandler ()
virtual void | OnRNS2Recv (RNS2RecvStruct *recvStruct)=0
virtual void | DeallocRNS2RecvStruct (RNS2RecvStruct *s, const char *file, unsigned int line)=0
virtual RNS2RecvStruct * | AllocRNS2RecvStruct (const char *file, unsigned int line)=0

## Detailed Description

Definition at line 107 of file socket2.h.

## Constructor & Destructor Documentation

SLNet::RNS2EventHandler::RNS2EventHandler | ( |  | ) |

inline

Definition at line 110 of file socket2.h.

virtual SLNet::RNS2EventHandler::~RNS2EventHandler | ( |  | ) |

inlinevirtual

Definition at line 111 of file socket2.h.

## Member Function Documentation

virtual RNS2RecvStruct* SLNet::RNS2EventHandler::AllocRNS2RecvStruct | ( | const char * | file,
|  | unsigned int | line
| ) |  |

pure virtual

Implemented in SLNet::RakPeer, SLNet::NatTypeDetectionServer, and SLNet::NatTypeDetectionClient.

Referenced by SLNet::RNS2_Berkley::RecvFromLoopInt().

virtual void SLNet::RNS2EventHandler::DeallocRNS2RecvStruct | ( | RNS2RecvStruct * | s,
|  | const char * | file,
|  | unsigned int | line
| ) |  |

pure virtual

Implemented in SLNet::RakPeer, SLNet::NatTypeDetectionServer, and SLNet::NatTypeDetectionClient.

Referenced by SLNet::RNS2_Berkley::RecvFromLoopInt().

virtual void SLNet::RNS2EventHandler::OnRNS2Recv | ( | RNS2RecvStruct * | recvStruct | ) |

pure virtual

Implemented in SLNet::RakPeer, SLNet::NatTypeDetectionServer, and SLNet::NatTypeDetectionClient.

Referenced by SLNet::RNS2_Berkley::RecvFromLoopInt().

The documentation for this class was generated from the following file:

- Source/include/slikenet/socket2.h